#!/bin/sh
echo "Configuring Octaga Player Java SAI..."
if [ -z "$JAVA_HOME" ]
then
  echo -e "\nWARNING: Set JAVA_HOME environment variable to install Java SAI support."
else
  echo "Installing Java SAI support..."
  
  if [ -e "$JAVA_HOME/jre" ]
  then
    if [ -e "$JAVA_HOME/jre/lib/ext/Octaga.jar" ]
    then
      rm "$JAVA_HOME/jre/lib/ext/Octaga.jar"
    fi
    if [ -e "$JAVA_HOME/jre/lib/ext/OctagaSAI.jar" ]
    then
      rm "$JAVA_HOME/jre/lib/ext/OctagaSAI.jar"
    fi
    ln -s /usr/lib/octagaplayer/OctagaSAI.jar "$JAVA_HOME/jre/lib/ext/OctagaSAI.jar"
  else
    if [ -e "$JAVA_HOME/lib/ext/Octaga.jar" ]
    then
      rm "$JAVA_HOME/lib/ext/Octaga.jar"
    fi
    if [ -e "$JAVA_HOME/lib/ext/OctagaSAI.jar" ]
    then
      rm "$JAVA_HOME/lib/ext/OctagaSAI.jar"
    fi
    ln -s /usr/lib/octagaplayer/OctagaSAI.jar "$JAVA_HOME/lib/ext/OctagaSAI.jar"
  fi
fi
